#!/bin/bash

if [[ "$CLCK_PROVIDER_OPA_PATH" == "" ]]; then
    BIN_PATH=/usr/sbin
else
    BIN_PATH="${CLCK_PROVIDER_OPA_PATH}"
fi

# Use opainfo to get the number of hfi seen by the system.
# The system sees different ports as seperate HFI devices
# If they are from the same card they will have an identical
# SystemImage.

NUMHFI=`${BIN_PATH}/opainfo | egrep "^hfi" | wc -l`

#Run opainfo it does a global gather on all HFI's
echo "####BEGIN:OPAINFO####"
${BIN_PATH}/opainfo
echo "####END:OPAINFO####"

# Run opaportinfo using -h to specify the different
# HFI's.
echo "####BEGIN:OPAPORTINFO####"
for ((i=1; i<=${NUMHFI}; i++))
do
    ${BIN_PATH}/opaportinfo -h $i
done
echo "####END:OPAPORTINFO####"

# Run opasmaquery  using -h to specify the different
# HFI's.
echo "####BEGIN:OPASMAQUERY####"
for ((i=1; i<=${NUMHFI}; i++))
do
    ${BIN_PATH}/opasmaquery -h ${i}
done
echo "####END:OPASMAQUERY####"

# Run opahfirev this is a global run that runs on all
# HFI.
echo "####BEGIN:OPAHFIREV####"
${BIN_PATH}/opahfirev
echo "####END:OPAHFIREV####"
